/*
 *******************************************************************************
 *
 *  Copyright 2025 RIEGL Laser Measurement Systems
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  SPDX-License-Identifier: Apache-2.0
 *
 *******************************************************************************
 */
/*!
 *******************************************************************************
 *
 * \file    version.h
 * \author  RIEGL LMS GmbH, Austria
 * \brief   RDB library API version
 * \version 2020-01-16/AW: Initial version
 *
 *******************************************************************************
 */

#ifndef RIEGL_RDB_VERSION_H
#define RIEGL_RDB_VERSION_H

//---< MACROS >-----------------------------------------------------------------

#define RIEGL_RDB_INTERFACE_MAJOR 2
#define RIEGL_RDB_INTERFACE_MINOR 5
#define RIEGL_RDB_INTERFACE_MICRO 2

//---< CONSTANTS >--------------------------------------------------------------

const char* const RIEGL_RDB_INTERFACE_NAME    = "RDB Interface";
const char* const RIEGL_RDB_INTERFACE_VERSION = "2.5.2-473fcd2e (C, Jan 30 2025, 11:58:06)";

#endif // RIEGL_RDB_VERSION_H
